libsigc++ 2.6.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
sigc::bound_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > Class Template Reference
Functors » mem_fun()

bound_volatile_mem_functor6 encapsulates a volatile method with 6 arguments and an object instance. More...

`#include <sigc++/functors/mem_fun.h>`

Inheritance diagram for sigc::bound_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >:
[legend]

## Public Types
typedef base_type_::function_type | function_type
Public Types inherited from sigc::volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >
typedef T_return(T_obj::* | function_type) (T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) volatile
typedef T_return | result_type

## Public Member Functions
| bound_volatile_mem_functor6 (T_obj* _A_obj, function_type _A_func)
| Constructs a bound_volatile_mem_functor6 object that wraps the passed method. More...
| bound_volatile_mem_functor6 (T_obj& _A_obj, function_type _A_func)
| Constructs a bound_volatile_mem_functor6 object that wraps the passed method. More...
T_return | operator() (type_trait_take_t< T_arg1 > _A_a1, type_trait_take_t< T_arg2 > _A_a2, type_trait_take_t< T_arg3 > _A_a3, type_trait_take_t< T_arg4 > _A_a4, type_trait_take_t< T_arg5 > _A_a5, type_trait_take_t< T_arg6 > _A_a6) const
| Execute the wrapped method operating on the stored instance. More...
Public Member Functions inherited from sigc::volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >
| volatile_mem_functor6 ()
| Constructs an invalid functor. More...
| volatile_mem_functor6 (function_type _A_func)
| Constructs a volatile_mem_functor6 object that wraps the passed method. More...
T_return | operator() (T_obj* _A_obj, type_trait_take_t< T_arg1 > _A_a1, type_trait_take_t< T_arg2 > _A_a2, type_trait_take_t< T_arg3 > _A_a3, type_trait_take_t< T_arg4 > _A_a4, type_trait_take_t< T_arg5 > _A_a5, type_trait_take_t< T_arg6 > _A_a6) const
| Execute the wrapped method operating on the passed instance. More...
T_return | operator() (T_obj& _A_obj, type_trait_take_t< T_arg1 > _A_a1, type_trait_take_t< T_arg2 > _A_a2, type_trait_take_t< T_arg3 > _A_a3, type_trait_take_t< T_arg4 > _A_a4, type_trait_take_t< T_arg5 > _A_a5, type_trait_take_t< T_arg6 > _A_a6) const
| Execute the wrapped method operating on the passed instance. More...

## Public Attributes
volatile_limit_reference< T_obj > | obj_

## Additional Inherited Members
Protected Attributes inherited from sigc::volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >
function_type | func_ptr_

## Detailed Description

### template<class T_return, class T_obj, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
class sigc::bound_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >

bound_volatile_mem_functor6 encapsulates a volatile method with 6 arguments and an object instance.

Use the convenience function mem_fun() to create an instance of bound_volatile_mem_functor6.

The following template arguments are used:

- T_arg1 Argument type used in the definition of operator()().
- T_arg2 Argument type used in the definition of operator()().
- T_arg3 Argument type used in the definition of operator()().
- T_arg4 Argument type used in the definition of operator()().
- T_arg5 Argument type used in the definition of operator()().
- T_arg6 Argument type used in the definition of operator()().
- T_return The return type of operator()().
- T_obj The object type.

## Member Typedef Documentation

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >

typedef base_type_::function_type sigc::bound_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >::function_type

## Constructor & Destructor Documentation

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >

sigc::bound_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >::bound_volatile_mem_functor6 | ( | T_obj * | _A_obj,
|  | function_type | _A_func
| ) |  |
| inline

Constructs a bound_volatile_mem_functor6 object that wraps the passed method.

Parameters

  _A_obj | Pointer to instance the method will operate on.
  _A_func | Pointer to method will be invoked from operator()().

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >

sigc::bound_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >::bound_volatile_mem_functor6 | ( | T_obj & | _A_obj,
|  | function_type | _A_func
| ) |  |
| inline

Constructs a bound_volatile_mem_functor6 object that wraps the passed method.

Parameters

  _A_obj | Reference to instance the method will operate on.
  _A_func | Pointer to method will be invoked from operator()().

## Member Function Documentation

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >

T_return sigc::bound_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >::operator() | ( | type_trait_take_t< T_arg1 > | _A_a1,
|  | type_trait_take_t< T_arg2 > | _A_a2,
|  | type_trait_take_t< T_arg3 > | _A_a3,
|  | type_trait_take_t< T_arg4 > | _A_a4,
|  | type_trait_take_t< T_arg5 > | _A_a5,
|  | type_trait_take_t< T_arg6 > | _A_a6
| ) |  | const
| inline

Execute the wrapped method operating on the stored instance.

Parameters

  _A_a1 | Argument to be passed on to the method.
  _A_a2 | Argument to be passed on to the method.
  _A_a3 | Argument to be passed on to the method.
  _A_a4 | Argument to be passed on to the method.
  _A_a5 | Argument to be passed on to the method.
  _A_a6 | Argument to be passed on to the method.

Returns
  The return value of the method invocation.

## Member Data Documentation

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >

volatile_limit_reference<T_obj> sigc::bound_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >::obj_